## mediawiki2latex 8.31

=== Makefile ===
PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share
MANDIR = $(SHAREDIR)/man
MAN1DIR = $(MANDIR)/man1
VERSION = $(shell awk '/^Version/ {print $$2 ; exit}' mediawiki2latex.cabal)

all: mediawiki2latex docs

mediawiki2latex: Setup.lhs
	runhaskell Setup.lhs configure
	runhaskell Setup.lhs build

docs: mediawiki2latex.1.gz

mediawiki2latex.1.gz: mediawiki2latex.1
	@gzip -c $< > $@

mediawiki2latex.1: mediawiki2latex.1.in
	@sed "s/MEDIAWIKI2LATEXVERSION/$(VERSION)/" $< > $@


install: all
	install -dm755 "$(DESTDIR)$(BINDIR)"
	install -m755 dist/build/mediawiki2latex/mediawiki2latex "$(DESTDIR)$(BINDIR)"
	install -dm755 "$(DESTDIR)$(MAN1DIR)"
	install -m644 mediawiki2latex.1.gz "$(DESTDIR)$(MAN1DIR)"
	install -dm755 "$(DESTDIR)$(SHAREDIR)/mediawiki2latex/latex"
	install -m644 latex/* "$(DESTDIR)$(SHAREDIR)/mediawiki2latex/latex"


clean:
	rm -rf mediawiki2latex Setup Setup.hi Setup.o ./dist/ mediawiki2latex.1.gz mediawiki2latex.1


deps-update:
	cabal update

deps-install:
	cabal install

## mediawiki2latex 6.9

=== debian/changelog ===
mediawiki2latex (6.9-1) unstable; urgency=low

  * upgraded to the new upstream version
  * added a build-dependency on http-conduit-dev

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Aug 2013 00:35:21 +0200

mediawiki2latex (6.8-1) unstable; urgency=low

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Aug 2013 10:06:13 +0200

mediawiki2latex (6.7-1) unstable; urgency=low

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 19 Aug 2013 11:33:56 +0200

mediawiki2latex (6.6-1) unstable; urgency=low

  * fixed debian/getsource.sh
  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Aug 2013 10:10:22 +0200

mediawiki2latex (6.5-1) unstable; urgency=low

  * added myself to Uploader:
  * added a script debian/getsource.sh and documented it in
    debian/Readme.source
  * upgraded to the newest upstream version
  * patched Makefile and modified debian/rules to make things more simple

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 16 Aug 2013 12:50:12 +0200

mediawiki2latex (6.4-1) unstable; urgency=low

  * Initial release. (Closes: #711158)

 -- Dirk Huenniger <dirk.hunniger@googlemail.com>  Sat, 08 Jun 2013 13:23:34 +0200

=== debian/control ===
Source: mediawiki2latex
Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Section: misc
Priority: optional
Standards-Version: 3.9.4
Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
Build-Depends: debhelper (>= 8), ghc,
 libghc-regex-compat-dev, libghc-http-dev, cabal-install, libghc-hxt-dev,
 libghc-split-dev, libghc-blaze-html-dev, libghc-file-embed-dev,
 libghc-highlighting-kate-dev,  libghc-hxt-http-dev, libghc-regex-pcre-dev,
 libghc-temporary-dev, libghc-url-dev, libghc-utf8-string-dev,
 libghc-utility-ht-dev, libghc-http-conduit-dev

Package: mediawiki2latex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-bin, imagemagick, ttf-freefont, texlive-xetex, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra, cm-super-minimal, texlive-lang-all
Description: Loads pages from MediaWiki and converts to LaTeX and PDF
 The goal of this project is to provide the user with a simple way of
 turning a page hosted on a server running MediaWiki into a high quality
 PDF version. 
 This project provides a simple default mode which just requires the URL to the
 page and creates a PDF file, by processing the HTML generated by the MediaWiki
 server. It also provides extended possibilities giving a fine grained control
 over the conversion process to users familiar with LaTeX. Particular care was
 taken to provide reasonable defaults for this way of processing for the needs
 of the English and German Wikibooks projects. Since the goal of this project
 is to create PDF versions, it is clear that the images are also downloaded, 
 and if necessary modified for use in a LaTeX document. It is also clear that 
 the generated LaTeX source has to compile without any further post processing.
 The last test run showed that this was the case for 495 of 500 alphabetically 
 chosen featured articles on the English Wikipedia.

## mediawiki2latex 7.1

=== debian/changelog ===
mediawiki2latex (7.1-1) unstable; urgency=low

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Dec 2013 20:40:53 +0100

## mediawiki2latex 7.2

=== debian/changelog ===
mediawiki2latex (7.2-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * added build-dependencies on libghc-happstack-server-dev,
    libghc-certificate-dev and libghc-pem-dev
  * added a dependency on fonts-cmu

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 26 Dec 2013 18:48:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,19 @@
 Standards-Version: 3.9.4
 Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
 Build-Depends: debhelper (>= 8), ghc,
+ libghc-certificate-dev, libghc-pem-dev,
  libghc-regex-compat-dev, libghc-http-dev, cabal-install, libghc-hxt-dev,
  libghc-split-dev, libghc-blaze-html-dev, libghc-file-embed-dev,
  libghc-highlighting-kate-dev,  libghc-hxt-http-dev, libghc-regex-pcre-dev,
  libghc-temporary-dev, libghc-url-dev, libghc-utf8-string-dev,
- libghc-utility-ht-dev, libghc-http-conduit-dev
+ libghc-utility-ht-dev, libghc-http-conduit-dev, libghc-happstack-server-dev
 
 Package: mediawiki2latex
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-bin, imagemagick, ttf-freefont, texlive-xetex, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra, cm-super-minimal, texlive-lang-all
+Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-bin, imagemagick,
+ ttf-freefont, texlive-xetex, texlive-latex-recommended,
+ texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra,
+ cm-super-minimal, texlive-lang-all, fonts-cmu
 Description: Loads pages from MediaWiki and converts to LaTeX and PDF
  The goal of this project is to provide the user with a simple way of
  turning a page hosted on a server running MediaWiki into a high quality

## mediawiki2latex 7.4

=== debian/changelog ===
mediawiki2latex (7.4-2) unstable; urgency=medium

  * replaced a dependency: ttf-freefont -> fonts-freefont-ttf.
    Closes: #738234

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 09 Feb 2014 19:53:53 +0100

mediawiki2latex (7.4-1) unstable; urgency=medium

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 09 Feb 2014 16:54:23 +0100

mediawiki2latex (7.3-2) unstable; urgency=medium

  * added two new dependencies, ttf-unifont, ttf-wqy-zenhei, thanks to
    Dirk Hünniger's hint

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 25 Jan 2014 17:46:03 +0100

mediawiki2latex (7.3-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * upgraded Standards-Version to 3.9.5

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Jan 2014 19:09:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
 Build-Depends: debhelper (>= 8), ghc,
  libghc-certificate-dev, libghc-pem-dev,
@@ -16,9 +16,10 @@
 Package: mediawiki2latex
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-bin, imagemagick,
- ttf-freefont, texlive-xetex, texlive-latex-recommended,
+ fonts-freefont-ttf, texlive-xetex, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra,
- cm-super-minimal, texlive-lang-all, fonts-cmu
+ cm-super-minimal, texlive-lang-all,
+ fonts-cmu, ttf-unifont, ttf-wqy-zenhei
 Description: Loads pages from MediaWiki and converts to LaTeX and PDF
  The goal of this project is to provide the user with a simple way of
  turning a page hosted on a server running MediaWiki into a high quality

=== debian/watch ===
version=3
http://sf.net/wb2pdf/mediawiki2latex-(.+)\.tar\.gz

## mediawiki2latex 7.14

=== debian/changelog ===
mediawiki2latex (7.14-1) unstable; urgency=medium

  * upgraded to the last upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 07 Aug 2014 00:09:03 +0200

mediawiki2latex (7.13-1) unstable; urgency=medium

  * upgraded to the last upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Jul 2014 18:34:48 +0200

mediawiki2latex (7.12-1) unstable; urgency=medium

  * added two dependencies: latex-cjk-common, libghc-zip-archive-dev (build)
  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 May 2014 20:39:45 +0200

mediawiki2latex (7.11-1) unstable; urgency=medium

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 May 2014 17:26:22 +0200

mediawiki2latex (7.10-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * added libghc-directory-tree-dev as a build-dependency

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 19 May 2014 19:12:28 +0200

mediawiki2latex (7.4-3) unstable; urgency=medium

  * added two new dependencies: lmodern, texlive-generic-recommended

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 08 May 2014 16:44:15 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  libghc-split-dev, libghc-blaze-html-dev, libghc-file-embed-dev,
  libghc-highlighting-kate-dev,  libghc-hxt-http-dev, libghc-regex-pcre-dev,
  libghc-temporary-dev, libghc-url-dev, libghc-utf8-string-dev,
- libghc-utility-ht-dev, libghc-http-conduit-dev, libghc-happstack-server-dev
+ libghc-utility-ht-dev, libghc-http-conduit-dev, libghc-happstack-server-dev,
+ libghc-directory-tree-dev, libghc-zip-archive-dev
 
 Package: mediawiki2latex
 Architecture: any
@@ -19,6 +20,7 @@
  fonts-freefont-ttf, texlive-xetex, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra,
  cm-super-minimal, texlive-lang-all,
+ lmodern, texlive-generic-recommended, latex-cjk-common,
  fonts-cmu, ttf-unifont, ttf-wqy-zenhei
 Description: Loads pages from MediaWiki and converts to LaTeX and PDF
  The goal of this project is to provide the user with a simple way of

## mediawiki2latex 7.19

=== debian/changelog ===
mediawiki2latex (7.19-2) unstable; urgency=medium

  * added a dependency on poppler-utils

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 26 Oct 2014 21:09:10 +0100

mediawiki2latex (7.19-1) unstable; urgency=medium

  * upgraded to the last upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 07 Oct 2014 21:59:37 +0200

mediawiki2latex (7.17-1) unstable; urgency=medium

  * added a new build-dependecy for the nex release, as hinted by
    Dirk Hünniger: libghc-strict-dev
  * updated the description in d/control to include the new text mailed
    by Dirk Hünniger
  * updated d/compat to 9, as well as the build-dependency on deb-helper

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Sep 2014 16:57:10 +0200

mediawiki2latex (7.16-1) unstable; urgency=medium

  * upgraded to the last upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 20 Sep 2014 12:48:46 +0200

mediawiki2latex (7.15-1) unstable; urgency=medium

  * upgraded to the last upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Aug 2014 13:59:30 +0200

=== debian/control ===
Source: mediawiki2latex
Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Section: misc
Priority: optional
Standards-Version: 3.9.5
Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
Build-Depends: debhelper (>= 9), ghc,
 libghc-certificate-dev, libghc-pem-dev,
 libghc-regex-compat-dev, libghc-http-dev, cabal-install, libghc-hxt-dev,
 libghc-split-dev, libghc-blaze-html-dev, libghc-file-embed-dev,
 libghc-highlighting-kate-dev,  libghc-hxt-http-dev, libghc-regex-pcre-dev,
 libghc-temporary-dev, libghc-url-dev, libghc-utf8-string-dev,
 libghc-utility-ht-dev, libghc-http-conduit-dev, libghc-happstack-server-dev,
 libghc-directory-tree-dev, libghc-zip-archive-dev, libghc-strict-dev

Package: mediawiki2latex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-bin, imagemagick,
 fonts-freefont-ttf, texlive-xetex, texlive-latex-recommended,
 texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra,
 cm-super-minimal, texlive-lang-all, poppler-utils,
 lmodern, texlive-generic-recommended, latex-cjk-common,
 fonts-cmu, ttf-unifont, ttf-wqy-zenhei
Description: Loads pages from MediaWiki and converts to LaTeX and PDF
 This project provides a simple way of turning a HTML page hosted on a
 server into a high quality PDF version as well an its LaTeX source
 file respectively.  
 .
 Particular care has been to generate esthetically pleasing results
 for pages hosted on servers running MediaWiki. 
 .
 This project provides a simple default mode which just requires the
 URL to the page and creates a PDF file, by processing the HTML
 generated by the (MediaWiki-) server. It also provides extended
 possibilities giving a fine grained control over the conversion
 process to users familiar with LaTeX and MediaWiki. 
 .
 Much effort was put into providing reasonable defaults for this way
 of processing for the needs of the English and German Wikibooks
 projects. Images are also downloaded, and if necessary modified for
 use in a LaTeX document. Our latest test run on more than 2000
 featured articles on the English Wikipedia completed without
 failures.

## mediawiki2latex 7.20

=== debian/changelog ===
mediawiki2latex (7.20-1ubuntu1) wily; urgency=medium

  * Avoid using runhaskell (ghci), to work around bug on powerpc causing FTBFS
    (see Debian bug #789458)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 10 Aug 2015 17:11:35 +0100

mediawiki2latex (7.20-1build1) wily; urgency=medium

  * No-change rebuild against libicu55

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 01:30:27 +0000

mediawiki2latex (7.20-1) unstable; urgency=medium

  * upgraded to the last upstream version
  * upgraded Standards-Version to 3.9.6
  * added a build-dependency on libghc-network-uri-dev

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 08 May 2015 19:49:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mediawiki2latex
-Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
 Build-Depends: debhelper (>= 9), ghc,
  libghc-certificate-dev, libghc-pem-dev,
@@ -12,7 +13,8 @@
  libghc-highlighting-kate-dev,  libghc-hxt-http-dev, libghc-regex-pcre-dev,
  libghc-temporary-dev, libghc-url-dev, libghc-utf8-string-dev,
  libghc-utility-ht-dev, libghc-http-conduit-dev, libghc-happstack-server-dev,
- libghc-directory-tree-dev, libghc-zip-archive-dev, libghc-strict-dev
+ libghc-directory-tree-dev, libghc-zip-archive-dev, libghc-strict-dev,
+ libghc-network-uri-dev
 
 Package: mediawiki2latex
 Architecture: any

## mediawiki2latex 7.21

=== debian/changelog ===
mediawiki2latex (7.21-2) unstable; urgency=medium

  * reverted debian/rules to a previous revision. Closes: #795104

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 22 Oct 2015 11:09:19 +0200

mediawiki2latex (7.21-1) unstable; urgency=medium

  * upgraded to the last upstream version
  * Changed one word in the description
  * updated lintian overrides

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 Jun 2015 22:52:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mediawiki2latex
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
+Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
@@ -41,6 +40,6 @@
  Much effort was put into providing reasonable defaults for this way
  of processing for the needs of the English and German Wikibooks
  projects. Images are also downloaded, and if necessary modified for
- use in a LaTeX document. Our latest test run on more than 2000
+ use in a LaTeX document. The latest test run on more than 2000
  featured articles on the English Wikipedia completed without
  failures.

## mediawiki2latex 7.22

=== debian/changelog ===
mediawiki2latex (7.22-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * removed the depency to libghc-certificate-dev, added a dependency
    on libghc-x509-dev. Closes: #808398. Closes: #810134.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 12 Jan 2016 10:30:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.6
 Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
 Build-Depends: debhelper (>= 9), ghc,
- libghc-certificate-dev, libghc-pem-dev,
+ libghc-x509-dev, libghc-pem-dev,
  libghc-regex-compat-dev, libghc-http-dev, cabal-install, libghc-hxt-dev,
  libghc-split-dev, libghc-blaze-html-dev, libghc-file-embed-dev,
  libghc-highlighting-kate-dev,  libghc-hxt-http-dev, libghc-regex-pcre-dev,

## mediawiki2latex 7.23

=== debian/changelog ===
mediawiki2latex (7.23-1build1) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Sep 2016 18:15:36 +0200

mediawiki2latex (7.23-1) unstable; urgency=medium

  * New upstream release
  * renewed lintian overrides
  * wrote small headers for patch files
  * upgraded Standards-Version: 3.9.7
  * wrote a patch 30-typos.patch (fixed a few typos)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Jun 2016 13:29:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
 Build-Depends: debhelper (>= 9), ghc,
  libghc-x509-dev, libghc-pem-dev,

## mediawiki2latex 7.24

=== debian/changelog ===
mediawiki2latex (7.24-1) unstable; urgency=medium

  * New upstream release
  * upgraded Standards-Version: 3.9.8
  * renewed lintian overrides

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Oct 2016 20:14:03 +0200

## mediawiki2latex 7.25

=== debian/changelog ===
mediawiki2latex (7.25-1) unstable; urgency=medium

  * New upstream release
  * removed unused lintian overrides

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Dec 2016 20:12:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
 Build-Depends: debhelper (>= 9), ghc,
  libghc-x509-dev, libghc-pem-dev,

## mediawiki2latex 7.26

=== debian/changelog ===
mediawiki2latex (7.26-4) unstable; urgency=medium

  * recompiled for Sid.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 18 Jun 2017 16:57:50 +0200

mediawiki2latex (7.26-3) experimental; urgency=medium

  * replaced a dependency: ttf-wqy-zenhei -> fonts-wqy-zenhei.
    Closes: #859527

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Apr 2017 10:45:43 +0200

mediawiki2latex (7.26-2) experimental; urgency=medium

  * added "Recommends" dependencies on calibre, latex2rtf, libreoffice

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 25 Mar 2017 16:07:22 +0100

mediawiki2latex (7.26-1) experimental; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Mar 2017 17:42:46 +0100

## mediawiki2latex 7.27

=== debian/changelog ===
mediawiki2latex (7.27-1) unstable; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Jun 2017 16:35:48 +0200

## mediawiki2latex 7.29

=== debian/changelog ===
mediawiki2latex (7.29-1) unstable; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Sep 2017 12:36:28 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
  texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra,
  cm-super-minimal, texlive-lang-all, poppler-utils,
  lmodern, texlive-generic-recommended, latex-cjk-common,
- fonts-cmu, ttf-unifont, ttf-wqy-zenhei
+ fonts-cmu, ttf-unifont, fonts-wqy-zenhei
+Recommends: calibre, latex2rtf, libreoffice
 Description: Loads pages from MediaWiki and converts to LaTeX and PDF
  This project provides a simple way of turning a HTML page hosted on a
  server into a high quality PDF version as well an its LaTeX source

## mediawiki2latex 7.30

=== debian/changelog ===
mediawiki2latex (7.30-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 Aug 2018 09:54:07 +0200

mediawiki2latex (7.29-2) unstable; urgency=medium

  * remove one line from mediawiki2latex.cabal, as hinted by
    Dirk Hünniger; Closes: #906491

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Aug 2018 17:17:48 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
  libghc-utility-ht-dev, libghc-http-conduit-dev, libghc-happstack-server-dev,
  libghc-directory-tree-dev, libghc-zip-archive-dev, libghc-strict-dev,
  libghc-network-uri-dev
+Vcs-Browser: https://salsa.debian.org/georgesk/mediawiki2latex
+Vcs-Git: https://salsa.debian.org/georgesk/mediawiki2latex.git
 
 Package: mediawiki2latex
 Architecture: any

## mediawiki2latex 7.33

=== debian/changelog ===
mediawiki2latex (7.33-3) unstable; urgency=medium

  * made a source-only upload with debuild -S. Maybe the last reason
    in "Excuses" might be tackled out? Closes: #932186

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Jul 2019 15:10:58 +0200

mediawiki2latex (7.33-2) unstable; urgency=medium

  * replaced the dependency on texlive-generic-recommended by another
    on texlive-plain-generic, which should ... Close #932186

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 20 Jul 2019 16:51:12 +0200

mediawiki2latex (7.33-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Jan 2019 16:16:40 +0100

mediawiki2latex (7.32-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 04 Dec 2018 20:52:06 +0100

mediawiki2latex (7.31-1) unstable; urgency=medium

  * upgraded to the new upstream version
  * simplified the build dependencies
  * upgraded Standards-Version to 4.1.3 and DH compatibility to 11

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Oct 2018 17:34:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,24 @@
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
-Build-Depends: debhelper (>= 9), ghc,
- libghc-x509-dev, libghc-pem-dev,
- libghc-regex-compat-dev, libghc-http-dev, cabal-install, libghc-hxt-dev,
- libghc-split-dev, libghc-blaze-html-dev, libghc-file-embed-dev,
- libghc-highlighting-kate-dev,  libghc-hxt-http-dev, libghc-regex-pcre-dev,
- libghc-temporary-dev, libghc-url-dev, libghc-utf8-string-dev,
- libghc-utility-ht-dev, libghc-http-conduit-dev, libghc-happstack-server-dev,
- libghc-directory-tree-dev, libghc-zip-archive-dev, libghc-strict-dev,
- libghc-network-uri-dev
+Build-Depends: debhelper (>= 11), ghc,
+ libghc-http-dev,
+ libghc-blaze-html-dev,
+ libghc-directory-tree-dev,
+ libghc-file-embed-dev,
+ libghc-happstack-server-dev,
+ libghc-hashable-dev,
+ libghc-highlighting-kate-dev,
+ libghc-http-client-dev,
+ libghc-http-conduit-dev,
+ libghc-hxt-http-dev,
+ libghc-strict-dev,
+ libghc-temporary-dev,
+ libghc-url-dev,
+ libghc-utility-ht-dev,
+ libghc-zip-archive-dev
 Vcs-Browser: https://salsa.debian.org/georgesk/mediawiki2latex
 Vcs-Git: https://salsa.debian.org/georgesk/mediawiki2latex.git
 
@@ -23,7 +30,7 @@
  fonts-freefont-ttf, texlive-xetex, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra,
  cm-super-minimal, texlive-lang-all, poppler-utils,
- lmodern, texlive-generic-recommended, latex-cjk-common,
+ lmodern, texlive-plain-generic, latex-cjk-common,
  fonts-cmu, ttf-unifont, fonts-wqy-zenhei
 Recommends: calibre, latex2rtf, libreoffice
 Description: Loads pages from MediaWiki and converts to LaTeX and PDF

## mediawiki2latex 7.34

=== debian/changelog ===
mediawiki2latex (7.34-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Sep 2019 17:47:06 +0200

mediawiki2latex (7.34-1) unstable; urgency=medium

  * new upstream version 7.34
  * upgraded Standards-Version to 4.3.0
  * removed one useless debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Aug 2019 19:30:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
 Build-Depends: debhelper (>= 11), ghc,
  libghc-http-dev,

## mediawiki2latex 7.35

=== debian/changelog ===
mediawiki2latex (7.35-1) unstable; urgency=medium

  * new upstream version
  * added build-dependencies on libghc-tagsoup-dev, libghc-word8-dev

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 02 Nov 2019 18:54:59 +0100

## mediawiki2latex 7.36

=== debian/changelog ===
mediawiki2latex (7.36-1) unstable; urgency=medium

  * New upstream version 7.36

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 05 Nov 2019 20:03:54 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,9 @@
  libghc-temporary-dev,
  libghc-url-dev,
  libghc-utility-ht-dev,
- libghc-zip-archive-dev
+ libghc-zip-archive-dev,
+ libghc-tagsoup-dev,
+ libghc-word8-dev
 Vcs-Browser: https://salsa.debian.org/georgesk/mediawiki2latex
 Vcs-Git: https://salsa.debian.org/georgesk/mediawiki2latex.git

## mediawiki2latex 7.37

=== debian/changelog ===
mediawiki2latex (7.37-1) unstable; urgency=medium

  * new upstream version 7.37

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 13 Nov 2019 18:56:19 +0100

## mediawiki2latex 7.39

=== debian/changelog ===
mediawiki2latex (7.39-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:07:05 +0000

mediawiki2latex (7.39-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Jan 2020 18:41:43 +0100

mediawiki2latex (7.38-1) unstable; urgency=medium

  * new upstream version
  * added a dependency on djvulibre-bin

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Dec 2019 13:17:23 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,8 @@
  texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra,
  cm-super-minimal, texlive-lang-all, poppler-utils,
  lmodern, texlive-plain-generic, latex-cjk-common,
- fonts-cmu, ttf-unifont, fonts-wqy-zenhei
+ fonts-cmu, ttf-unifont, fonts-wqy-zenhei,
+ djvulibre-bin
 Recommends: calibre, latex2rtf, libreoffice
 Description: Loads pages from MediaWiki and converts to LaTeX and PDF
  This project provides a simple way of turning a HTML page hosted on a

## mediawiki2latex 7.41

=== debian/changelog ===
mediawiki2latex (7.41-2build2) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:12:47 +0000

mediawiki2latex (7.41-2build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 12:37:08 +0200

mediawiki2latex (7.41-2) unstable; urgency=medium

  * removed the dependency on libghc-highlighting-kate-dev which is no
    longer used.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Jul 2020 17:46:01 +0200

mediawiki2latex (7.41-1) unstable; urgency=medium

  * New upstream version 7.41

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Jul 2020 15:00:43 +0200

mediawiki2latex (7.40-1) unstable; urgency=medium

  * New upstream version 7.40

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 25 Jun 2020 15:53:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mediawiki2latex
-Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
@@ -12,7 +13,6 @@
  libghc-file-embed-dev,
  libghc-happstack-server-dev,
  libghc-hashable-dev,
- libghc-highlighting-kate-dev,
  libghc-http-client-dev,
  libghc-http-conduit-dev,
  libghc-hxt-http-dev,

## mediawiki2latex 7.43

=== debian/changelog ===
mediawiki2latex (7.43-1) unstable; urgency=medium

  * New upstream version 7.43

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Oct 2020 18:43:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mediawiki2latex
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
+Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional

## mediawiki2latex 7.44

=== debian/changelog ===
mediawiki2latex (7.44-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 27 Aug 2021 16:34:06 +0200

mediawiki2latex (7.43-2) unstable; urgency=medium

  * Changed a dependency: ttf-unifont => fonts-unifont. Closes: #986850

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 13 Apr 2021 10:41:03 +0200

## mediawiki2latex 7.45

=== debian/changelog ===
mediawiki2latex (7.45-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 31 Dec 2021 19:20:57 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra,
  cm-super-minimal, texlive-lang-all, poppler-utils,
  lmodern, texlive-plain-generic, latex-cjk-common,
- fonts-cmu, ttf-unifont, fonts-wqy-zenhei,
+ fonts-cmu, fonts-unifont, fonts-wqy-zenhei,
  djvulibre-bin
 Recommends: calibre, latex2rtf, libreoffice
 Description: Loads pages from MediaWiki and converts to LaTeX and PDF

## mediawiki2latex 7.46

=== debian/changelog ===
mediawiki2latex (7.46-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Update standards version to 4.5.1, no changes needed.

  [ Georges Khaznadar ]
  * New upstream version 7.46
  * bumped standards version to 4.6.1

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Jan 2023 21:29:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 4.3.0
-Homepage: http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
-Build-Depends: debhelper (>= 11), ghc,
+Standards-Version: 4.6.1
+Homepage: https://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
+Build-Depends: debhelper-compat (= 13),
+ ghc,
  libghc-http-dev,
  libghc-blaze-html-dev,
  libghc-directory-tree-dev,
@@ -38,16 +39,16 @@
 Description: Loads pages from MediaWiki and converts to LaTeX and PDF
  This project provides a simple way of turning a HTML page hosted on a
  server into a high quality PDF version as well an its LaTeX source
- file respectively.  
+ file respectively.
  .
  Particular care has been to generate esthetically pleasing results
- for pages hosted on servers running MediaWiki. 
+ for pages hosted on servers running MediaWiki.
  .
  This project provides a simple default mode which just requires the
  URL to the page and creates a PDF file, by processing the HTML
  generated by the (MediaWiki-) server. It also provides extended
  possibilities giving a fine grained control over the conversion
- process to users familiar with LaTeX and MediaWiki. 
+ process to users familiar with LaTeX and MediaWiki.
  .
  Much effort was put into providing reasonable defaults for this way
  of processing for the needs of the English and German Wikibooks

=== debian/watch ===


## mediawiki2latex 7.47

=== debian/changelog ===
mediawiki2latex (7.47-1) unstable; urgency=medium

  * New upstream version 7.47

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Mar 2023 09:37:37 +0100

## mediawiki2latex 7.51

=== debian/changelog ===
mediawiki2latex (7.51-1) unstable; urgency=medium

  * New upstream version 7.51
  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 12:00:56 +0200

mediawiki2latex (7.50-1) experimental; urgency=medium

  * New upstream version 7.50

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Apr 2023 14:00:11 +0200

## mediawiki2latex 7.52

=== debian/changelog ===
mediawiki2latex (7.52-1) unstable; urgency=medium

  * New upstream version 7.52

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 Aug 2023 18:48:42 +0200

## mediawiki2latex 8.0

=== debian/changelog ===
mediawiki2latex (8.0-1) unstable; urgency=medium

  * New upstream version 8.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 05 Jan 2024 10:31:55 +0100

mediawiki2latex (7.53-1) unstable; urgency=medium

  * New upstream version 7.53

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Jan 2024 19:49:31 +0100

## mediawiki2latex 8.7

=== debian/changelog ===
mediawiki2latex (8.7-5) unstable; urgency=medium

  * modified alternatives for dependencies chromium and chromium-sandbox,
    to make the package installable in debian derivatives

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 22 Feb 2024 15:00:50 +0100

mediawiki2latex (8.7-4) unstable; urgency=medium

  * added alternatives for dependencies chromium and chromium-sandbox,
    to make the package installable in debian derivatives

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Feb 2024 10:35:59 +0100

mediawiki2latex (8.7-3) unstable; urgency=medium

  * restored Architecture: any
  * dependencies on chromium and chromium-sandbox are now
    architecture-dependent: [!armel !mips64el !s390x]

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 16 Feb 2024 08:45:25 +0100

mediawiki2latex (8.7-2) unstable; urgency=medium

  * modified d/control, Architecture: any becomes:
    Architecture: i386 amd64 arm64 armhf ppc64el
    to comply with the dependency on chromium.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 14 Feb 2024 17:08:33 +0100

mediawiki2latex (8.7-1) unstable; urgency=medium

  * New upstream version 8.7

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 08 Feb 2024 16:48:57 +0100

mediawiki2latex (8.6-1) unstable; urgency=medium

  * New upstream version 8.6
  * New dependency: pdftk
  * Bumped Standards-Version: 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 06 Feb 2024 19:01:17 +0100

mediawiki2latex (8.5-1) unstable; urgency=medium

  * New upstream version 8.5
  * removed the patch d/patches/30-typos.patch which became useless

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 25 Jan 2024 19:45:13 +0100

mediawiki2latex (8.4-1) unstable; urgency=medium

  * New upstream version 8.4

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 21 Jan 2024 11:40:25 +0100

mediawiki2latex (8.3-1) unstable; urgency=medium

  * New upstream version 8.3

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 17 Jan 2024 15:00:05 +0100

mediawiki2latex (8.2-2) unstable; urgency=medium

  * erased build-dependencies and added them as dependencies of
    mediawiki2latex.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 15 Jan 2024 17:51:07 +0100

mediawiki2latex (8.2-1) unstable; urgency=medium

  * New upstream version 8.2
  * new dependencies: chromium, curl, texlive-extra-utils
  * added debian/salsa-ci.yml

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jan 2024 17:25:02 +0100

mediawiki2latex (8.1-1) unstable; urgency=medium

  * New upstream version 8.1

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jan 2024 18:00:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
 Build-Depends: debhelper-compat (= 13),
  ghc,
@@ -22,19 +22,37 @@
  libghc-utility-ht-dev,
  libghc-zip-archive-dev,
  libghc-tagsoup-dev,
- libghc-word8-dev
+ libghc-word8-dev,
 Vcs-Browser: https://salsa.debian.org/georgesk/mediawiki2latex
 Vcs-Git: https://salsa.debian.org/georgesk/mediawiki2latex.git
 
 Package: mediawiki2latex
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-bin, imagemagick,
- fonts-freefont-ttf, texlive-xetex, texlive-latex-recommended,
- texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra,
- cm-super-minimal, texlive-lang-all, poppler-utils,
- lmodern, texlive-plain-generic, latex-cjk-common,
- fonts-cmu, fonts-unifont, fonts-wqy-zenhei,
- djvulibre-bin
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ librsvg2-bin,
+ imagemagick,
+ fonts-freefont-ttf,
+ texlive-xetex,
+ texlive-latex-recommended,
+ texlive-latex-extra,
+ texlive-fonts-recommended,
+ texlive-fonts-extra,
+ texlive-extra-utils,
+ cm-super-minimal,
+ texlive-lang-all,
+ poppler-utils,
+ lmodern,
+ texlive-plain-generic,
+ latex-cjk-common,
+ fonts-cmu,
+ fonts-unifont,
+ fonts-wqy-zenhei,
+ chromium [!armel !mips64el !s390x !ppc64el !riscv64] | chromium-browser [!armel !mips64el !s390x !ppc64el !riscv64],
+ chromium-sandbox [!armel !mips64el !s390x !ppc64el !riscv64] | chromium-browser [!armel !mips64el !s390x !ppc64el !riscv64],
+ curl,
+ djvulibre-bin,
+ pdftk,
 Recommends: calibre, latex2rtf, libreoffice
 Description: Loads pages from MediaWiki and converts to LaTeX and PDF
  This project provides a simple way of turning a HTML page hosted on a

=== debian/rules ===
#!/usr/bin/make -f

# remove these when we have ghc 7.10; see Debian #789458
override_dh_auto_configure:
	ghc $(CURDIR)/Setup.lhs
	$(CURDIR)/Setup configure

override_dh_auto_build:
	$(CURDIR)/Setup build
	ln $(CURDIR)/dist/build/mediawiki2latex/mediawiki2latex .
	$(MAKE) docs

%:
	dh $@

## mediawiki2latex 8.8

=== debian/changelog ===
mediawiki2latex (8.8-1) unstable; urgency=medium

  * New upstream version 8.8

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 25 Jul 2024 14:00:04 +0200

mediawiki2latex (8.7-6) unstable; urgency=medium

  * downgraded dependencies on chromium* to recommendations.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 02 Jul 2024 11:13:13 +0200

=== debian/control ===
--- 
+++ 
@@ -48,12 +48,15 @@
  fonts-cmu,
  fonts-unifont,
  fonts-wqy-zenhei,
- chromium [!armel !mips64el !s390x !ppc64el !riscv64] | chromium-browser [!armel !mips64el !s390x !ppc64el !riscv64],
- chromium-sandbox [!armel !mips64el !s390x !ppc64el !riscv64] | chromium-browser [!armel !mips64el !s390x !ppc64el !riscv64],
  curl,
  djvulibre-bin,
  pdftk,
-Recommends: calibre, latex2rtf, libreoffice
+Recommends:
+ calibre,
+ latex2rtf,
+ libreoffice,
+ chromium,
+ chromium-sandbox,
 Description: Loads pages from MediaWiki and converts to LaTeX and PDF
  This project provides a simple way of turning a HTML page hosted on a
  server into a high quality PDF version as well an its LaTeX source

## mediawiki2latex 8.18

=== debian/changelog ===
mediawiki2latex (8.18-1) unstable; urgency=medium

  * New upstream version 8.18

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Oct 2024 16:23:15 +0200

mediawiki2latex (8.17-1) unstable; urgency=medium

  * New upstream version 8.17

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 Oct 2024 16:02:30 +0200

mediawiki2latex (8.16-1) unstable; urgency=medium

  * New upstream version 8.16

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 30 Sep 2024 09:58:12 +0200

mediawiki2latex (8.15-1) unstable; urgency=medium

  * New upstream version 8.15

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 27 Sep 2024 17:15:22 +0200

mediawiki2latex (8.13-1) unstable; urgency=medium

  * New upstream version 8.13

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Sep 2024 15:44:47 +0200

mediawiki2latex (8.12-1) unstable; urgency=medium

  * New upstream version 8.12

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 10 Sep 2024 16:49:31 +0200

mediawiki2latex (8.11-1) unstable; urgency=medium

  * New upstream version 8.11

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Sep 2024 16:20:19 +0200

mediawiki2latex (8.10-1) unstable; urgency=medium

  * added a new dependency: libimage-exiftool-perl
  * New upstream version 8.10

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 31 Aug 2024 09:52:27 +0200

mediawiki2latex (8.9-1) unstable; urgency=medium

  * New upstream version 8.9

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 18 Aug 2024 18:25:57 +0200

## mediawiki2latex 8.19

=== debian/changelog ===
mediawiki2latex (8.19-1) unstable; urgency=medium

  * New upstream version 8.19

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Dec 2024 11:26:25 +0100

## mediawiki2latex 8.20

=== debian/changelog ===
mediawiki2latex (8.20-1) unstable; urgency=medium

  * New upstream version 8.20

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Dec 2024 13:49:34 +0100

## mediawiki2latex 8.21

=== debian/changelog ===
mediawiki2latex (8.21-1) unstable; urgency=medium

  * New upstream version 8.21

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Dec 2024 16:15:47 +0100

## mediawiki2latex 8.22

=== debian/changelog ===
mediawiki2latex (8.22-2) unstable; urgency=medium

  * reverted a spurious modification of Makefile

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Dec 2024 18:26:53 +0100

mediawiki2latex (8.22-1) UNRELEASED; urgency=medium

  * New upstream version 8.22

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Dec 2024 18:26:17 +0100

=== debian/control ===
--- 
+++ 
@@ -51,6 +51,7 @@
  curl,
  djvulibre-bin,
  pdftk,
+ libimage-exiftool-perl,
 Recommends:
  calibre,
  latex2rtf,

## mediawiki2latex 8.23

=== debian/changelog ===
mediawiki2latex (8.23-1) unstable; urgency=medium

  * New upstream version 8.23

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Jan 2025 17:19:33 +0100

mediawiki2latex (8.22-1) unstable; urgency=medium

  * New upstream version 8.22

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Dec 2024 18:26:17 +0100

## mediawiki2latex 8.25

=== debian/changelog ===
mediawiki2latex (8.25-2) unstable; urgency=medium

  * updated the list of build-depencies according to Dirk Hünniger's
    hint, thanks!

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Jan 2025 18:17:27 +0100

mediawiki2latex (8.25-1) unstable; urgency=medium

  * New upstream version 8.25
  * Modified build-dependencies:
    libghc-http-conduit-dev --> libghc-http-client-tls-dev

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Jan 2025 15:28:26 +0100

mediawiki2latex (8.24-1) unstable; urgency=medium

  * New upstream version 8.24

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Jan 2025 08:41:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,28 @@
 Homepage: https://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
 Build-Depends: debhelper-compat (= 13),
  ghc,
+ libghc-x509-dev,
+ libghc-pem-dev,
+ libghc-regex-compat-dev,
  libghc-http-dev,
+ libghc-hxt-dev,
+ libghc-split-dev,
  libghc-blaze-html-dev,
- libghc-directory-tree-dev,
  libghc-file-embed-dev,
- libghc-happstack-server-dev,
- libghc-hashable-dev,
- libghc-http-client-dev,
- libghc-http-conduit-dev,
  libghc-hxt-http-dev,
- libghc-strict-dev,
+ libghc-regex-pcre-dev,
  libghc-temporary-dev,
  libghc-url-dev,
+ libghc-utf8-string-dev,
  libghc-utility-ht-dev,
+ libghc-http-client-tls-dev,
+ libghc-happstack-server-dev,
+ libghc-directory-tree-dev,
  libghc-zip-archive-dev,
+ libghc-strict-dev,
+ libghc-network-uri-dev,
  libghc-tagsoup-dev,
- libghc-word8-dev,
+ libghc-word8-dev
 Vcs-Browser: https://salsa.debian.org/georgesk/mediawiki2latex
 Vcs-Git: https://salsa.debian.org/georgesk/mediawiki2latex.git

## mediawiki2latex 8.26

=== debian/changelog ===
mediawiki2latex (8.26-3) unstable; urgency=medium

  * restored Architecture: any, since the issues with armel and armhf
    have been fixed by ghc developers.
  * bumped Standards-Version: 4.7.1

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Feb 2025 20:10:00 +0100

mediawiki2latex (8.26-2) unstable; urgency=medium

  * removed architectures armel and armhf, since the package cannot be
    compiled ont those, currently. The list of architectures is given by
    dpkg-architecture -L| grep -v -- -| grep -v armel| grep -v armhf| \
    tr "\n" " "

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 15 Feb 2025 16:55:00 +0100

mediawiki2latex (8.26-1) unstable; urgency=medium

  * New upstream version 8.26

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 06 Feb 2025 15:34:31 +0100

mediawiki2latex (8.25-3) unstable; urgency=medium

  * removed the build-dependency  libghc-regex-pcre-dev

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 26 Jan 2025 16:27:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Homepage: https://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
 Build-Depends: debhelper-compat (= 13),
  ghc,
@@ -16,7 +16,6 @@
  libghc-blaze-html-dev,
  libghc-file-embed-dev,
  libghc-hxt-http-dev,
- libghc-regex-pcre-dev,
  libghc-temporary-dev,
  libghc-url-dev,
  libghc-utf8-string-dev,

## mediawiki2latex 8.28

=== debian/changelog ===
mediawiki2latex (8.28-1) unstable; urgency=medium

  * New upstream version 8.28

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 30 Mar 2025 10:57:43 +0200

mediawiki2latex (8.27-1) unstable; urgency=medium

  * New upstream version 8.27

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 28 Mar 2025 15:03:36 +0100

## mediawiki2latex 8.29

=== debian/changelog ===
mediawiki2latex (8.29-1) unstable; urgency=medium

  * New upstream version 8.29
  * New build-dependency: libghc-hunit-dev

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 07 Aug 2025 09:16:47 +0200

## mediawiki2latex 8.30

=== debian/changelog ===
mediawiki2latex (8.30-1) unstable; urgency=medium

  * New upstream version 8.30

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 16 Sep 2025 15:36:50 +0200

## mediawiki2latex 8.31

=== debian/changelog ===
mediawiki2latex (8.31-1) unstable; urgency=medium

  * New upstream version 8.31

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 22 Sep 2025 16:20:17 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,8 @@
  libghc-strict-dev,
  libghc-network-uri-dev,
  libghc-tagsoup-dev,
- libghc-word8-dev
+ libghc-word8-dev,
+ libghc-hunit-dev,
 Vcs-Browser: https://salsa.debian.org/georgesk/mediawiki2latex
 Vcs-Git: https://salsa.debian.org/georgesk/mediawiki2latex.git
